New Insync version: 1.5.1


#22

Hi @antoniopolonio!

Can you try running ‘sudo rm -rf /usr/lib/insync/xcbglintegrations’ and try running the command again?
If it still doesn’t work can you try upgrading your system packages – ‘sudo apt-get update && sudo apt-get upgrade’?
Can you send me the output of ‘ldd /usr/lib/insync/PySide2.QtCore.so’

Let me know what happens

Thanks!


#23

After running sudo rm -rf /usr/lib/insync/xcbglintegrations and sudo apt-get update && sudo apt-get upgrade, this is the output for ldd /usr/lib/insync/PySide2.QtCore.so:

~$ ldd /usr/lib/insync/PySide2.QtCore.so
/usr/lib/insync/PySide2.QtCore.so: /opt/qt58/lib/libQt5Core.so.5: version `Qt_5.11' not found (required by /usr/lib/insync/PySide2.QtCore.so)
/usr/lib/insync/PySide2.QtCore.so: /opt/qt58/lib/libQt5Core.so.5: version `Qt_5.11' not found (required by /usr/lib/insync/libpyside2-python2.7.so.5.11)
	linux-vdso.so.1 =>  (0x00007ffdfb5f5000)
	libpyside2-python2.7.so.5.11 => /usr/lib/insync/libpyside2-python2.7.so.5.11 (0x00007f3338667000)
	libshiboken2-python2.7.so.5.11 => /usr/lib/insync/libshiboken2-python2.7.so.5.11 (0x00007f333842c000)
	libQt5Qml.so.5 => /opt/qt58/lib/libQt5Qml.so.5 (0x00007f3338018000)
	libQt5Network.so.5 => /opt/qt58/lib/libQt5Network.so.5 (0x00007f3338f6f000)
	libQt5Core.so.5 => /opt/qt58/lib/libQt5Core.so.5 (0x00007f3337af8000)
	libstdc++.so.6 => /usr/lib/insync/libstdc++.so.6 (0x00007f33377f4000)
	libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f33374ee000)
	libgcc_s.so.1 => /usr/lib/insync/libgcc_s.so.1 (0x00007f33372d8000)
	libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f3336f0f000)
	libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f3336cf1000)
	libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f3336ad8000)
	libicui18n.so.52 => /usr/lib/x86_64-linux-gnu/libicui18n.so.52 (0x00007f33366d1000)
	libicuuc.so.52 => /usr/lib/x86_64-linux-gnu/libicuuc.so.52 (0x00007f3336358000)
	libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f3336154000)
	librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f3335f4c000)
	libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007f3335c44000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f3338ecc000)
	libicudata.so.52 => /usr/lib/x86_64-linux-gnu/libicudata.so.52 (0x00007f33343d7000)
	libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007f3334199000)

Insync still doesn’t start.


#24

Hello.

I have the same problem.

Traceback (most recent call last):
File “isyncd / linux / headless / cli.py”, line 108, in ipc_insync
File “socket.py”, line 224, in meth
error: [Errno 111] Connection refused

I already tried the previous version upgrade and the “clean” installation, however, neither of them solved it.

Currently, I am using version 1.4.9.37127, which works without problems.

Thank you.


#25

I have a different problem on Ubuntu 14.04 (1.5.1 autoinstalled from APT repo):

The main window cannot be open, though other things through the tray icon work. The log file in ~/.config/Insync grows to enormous size (4 GB in my case after 1 hour), being filled by these messages:

libpng warning: iCCP: known incorrect sRGB profile
/usr/lib/insync/QtWebEngineProcess: /usr/lib/insync/libdbus-1.so.3: no version information available (required by /usr/lib/insync/libQt5WebEngineCore.so.5)
[17796:17874:0919/125159.554376:ERROR:gles2_cmd_decoder.cc(2603)] [GroupMarkerNotSet(crbug.com/242999)!:58140A3CA77F0000]GL ERROR :GL_INVALID_ENUM : BackFramebuffer::Create: <- error from previous GL command
[17796:17874:0919/125159.554419:ERROR:gles2_cmd_decoder.cc(2607)] [GroupMarkerNotSet(crbug.com/242999)!:58140A3CA77F0000]GL ERROR :GL_INVALID_ENUM : BackFramebuffer::Create: was unhandled
[17796:17874:0919/125159.554442:ERROR:gles2_cmd_decoder.cc(2607)] [GroupMarkerNotSet(crbug.com/242999)!:58140A3CA77F0000]GL ERROR :GL_INVALID_ENUM : BackFramebuffer::Create: was unhandled
[17796:17874:0919/125159.554469:ERROR:gles2_cmd_decoder.cc(2607)] [GroupMarkerNotSet(crbug.com/242999)!:58140A3CA77F0000]GL ERROR :GL_INVALID_VALUE : ScopedFramebufferBinder::ctor: was unhandled
[17796:17874:0919/125159.554502:ERROR:gles2_cmd_decoder.cc(2603)] [GroupMarkerNotSet(crbug.com/242999)!:58140A3CA77F0000]GL ERROR :GL_INVALID_OPERATION : ScopedFramebufferBinder::dtor: <- error from previous GL command
[17796:17874:0919/125159.554511:ERROR:gles2_cmd_decoder.cc(2607)] [GroupMarkerNotSet(crbug.com/242999)!:58140A3CA77F0000]GL ERROR :GL_INVALID_VALUE : ScopedFramebufferBinder::dtor: was unhandled
[17796:17874:0919/125159.554519:ERROR:gles2_cmd_decoder.cc(2607)] [GroupMarkerNotSet(crbug.com/242999)!:58140A3CA77F0000]GL ERROR :GL_INVALID_VALUE : ScopedFramebufferBinder::ctor: was unhandled
[17796:17874:0919/125159.554529:ERROR:gles2_cmd_decoder.cc(2603)] [GroupMarkerNotSet(crbug.com/242999)!:58140A3CA77F0000]GL ERROR :GL_INVALID_ENUM : ScopedFramebufferBinder::dtor: <- error from previous GL command
[17796:17874:0919/125159.554540:ERROR:gles2_cmd_decoder.cc(2607)] [GroupMarkerNotSet(crbug.com/242999)!:58140A3CA77F0000]GL ERROR :GL_INVALID_VALUE : ScopedFramebufferBinder::dtor: was unhandled
[17796:17874:0919/125159.554549:ERROR:gles2_cmd_decoder.cc(5385)] GLES2DecoderImpl::ResizeOffscreenFramebuffer failed because offscreen FBO was incomplete.
[17796:17874:0919/125159.554829:ERROR:gles2_cmd_decoder.cc(3708)] ContextResult::kFatalFailure: Could not allocate offscreen buffer storage.

This might help:

$ sudo ldconfig -p | grep -i gl.so
libwayland-egl.so.1 (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libwayland-egl.so.1
libwayland-egl.so (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libwayland-egl.so
libvtkftgl.so.5.8 (libc6,x86-64) => /usr/lib/libvtkftgl.so.5.8
libvtkftgl.so (libc6,x86-64) => /usr/lib/libvtkftgl.so
libvgagl.so.1 (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libvgagl.so.1
libva-egl.so.1 (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libva-egl.so.1
libva-egl.so (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libva-egl.so
libmrpt-opengl.so.1.0 (libc6,x86-64) => /usr/lib/libmrpt-opengl.so.1.0
libmrpt-opengl.so (libc6,x86-64) => /usr/lib/libmrpt-opengl.so
libfltk_gl.so.1.1 (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libfltk_gl.so.1.1
libfltk_gl.so (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libfltk_gl.so
libcogl.so.15 (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libcogl.so.15
libTKOpenGl.so.8 (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libTKOpenGl.so.8
libQt5OpenGL.so.5 (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libQt5OpenGL.so.5
libQt5OpenGL.so (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libQt5OpenGL.so
libQtOpenGL.so.4 (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libQtOpenGL.so.4
libQtOpenGL.so.4 (libc6) => /usr/lib/i386-linux-gnu/libQtOpenGL.so.4
libQtOpenGL.so (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libQtOpenGL.so
libGL.so.1 (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/mesa/libGL.so.1
libGL.so.1 (libc6) => /usr/lib/i386-linux-gnu/mesa/libGL.so.1
libGL.so (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libGL.so
libGL.so (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/mesa/libGL.so
libEGL.so.1 (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/mesa-egl/libEGL.so.1
libEGL.so (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libEGL.so
libEGL.so (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/mesa-egl/libEGL.so
libCgGL.so (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libCgGL.so

$ ldd /usr/lib/insync/insync
linux-vdso.so.1 =>  (0x00007ffe6637e000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f2129c88000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f2129a84000)
libutil.so.1 => /lib/x86_64-linux-gnu/libutil.so.1 (0x00007f2129881000)
libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f212957b000)
libz.so.1 => /usr/lib/insync/libz.so.1 (0x00007f2129362000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f2128f99000)
/lib64/ld-linux-x86-64.so.2 (0x00007f2129ea6000)
    
$ ldd /usr/lib/insync/py
linux-vdso.so.1 =>  (0x00007fff5dedc000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f668656b000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f6686367000)
libutil.so.1 => /lib/x86_64-linux-gnu/libutil.so.1 (0x00007f6686164000)
libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f6685e5e000)
libz.so.1 => /usr/lib/insync/libz.so.1 (0x00007f6685c45000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f668587c000)
/lib64/ld-linux-x86-64.so.2 (0x00007f6686789000)

$ ldd /usr/lib/insync/PySide.QtCore.so 
linux-vdso.so.1 =>  (0x00007fff4a1dd000)
libpyside-python2.7.so.1.2 => /usr/lib/x86_64-linux-gnu/libpyside-python2.7.so.1.2 (0x00007efc64d25000)
libpython2.7.so.1.0 => /usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0 (0x00007efc647c1000)
libshiboken-python2.7.so.1.2 => /usr/lib/x86_64-linux-gnu/libshiboken-python2.7.so.1.2 (0x00007efc64595000)
libQtCore.so.4 => /usr/lib/x86_64-linux-gnu/libQtCore.so.4 (0x00007efc640b0000)
libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007efc63d9a000)
libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007efc63a94000)
libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007efc6387c000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007efc634b3000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007efc63295000)
libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007efc6307c000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007efc62e78000)
libutil.so.1 => /lib/x86_64-linux-gnu/libutil.so.1 (0x00007efc62c75000)
libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007efc6296d000)
librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007efc62765000)
/lib64/ld-linux-x86-64.so.2 (0x00007efc653f9000)
libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007efc624f6000)

#26

Version 1.5.2 fixed this issue.


#27

Thanks for the feedback guys. Please try the 1.5.2 update: New Insync version: 1.5.2 (Linux only)


#28

I just tried removing the old versions and killing all insync processes and installing 1.5.2 and it fails for me on the key import as well. It seems to be running, but I haven’t tried to sync anything yet.

Fedora 28, current patches.

Installed size: 365 M
Is this ok [y/N]: y
Downloading Packages:
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
Preparing : 1/1
Installing : insync-1.5.2.37346-fc25.x86_64 1/1
Running scriptlet: insync-1.5.2.37346-fc25.x86_64 1/1
error: can’t create transaction lock on /var/lib/rpm/.rpm.lock (Resource temporarily unavailable)
error: -: key 1 import failed.
which: no xmessage in (/usr/lib/insync:/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin)
Insync installation has finished. You may now start it.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Running as unit: run-r84c1a668612b41d48d3b4ea4a52b92d3.service
Verifying : insync-1.5.2.37346-fc25.x86_64 1/1

Installed:
insync.x86_64 1.5.2.37346-fc25

Complete!


#30